%define revision 856598

Name:          telepathy-qt
Version:       0.17.7
Release:       %mkrel 0.%revision.3
Epoch:         1
Summary:       Base classes for use in connection managers, and proxy classes for use in clients
License:       GPL
Group:         Networking/Instant messaging
Url:           http://websvn.kde.org/trunk/kdesupport/telepathy-qt/
Source:        %name-%version.%revision.tar.bz2
Patch0:        telepathy-qt-0.17.7-fix-lib-install.patch
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: cmake
BuildRequires: qt4-devel
Provides:      TelepathyQt = %{version}

%description
Qt4 libraries for use in Telepathy clients and connection managers

#--------------------------------------------------------------------

%define libQtTelepathyClient_major 1707
%define libQtTelepathyClient %mklibname QtTelepathyClient %{libQtTelepathyClient_major}

%package -n %libQtTelepathyClient
Summary: Core Decibel library
Group: System/Libraries
Obsoletes: %{_lib}telepathy-qt0
Obsoletes: %{_lib}QtTelepathyCore0 < 0.17.7
Obsoletes: %{_lib}QtTelepathyCommon0 < 0.17.7
Obsoletes: %mklibname QtTelepathyClient 0

%description -n %libQtTelepathyClient
Core Decibel library.

%if %mdkversion < 200900
%post -n %libQtTelepathyClient -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libQtTelepathyClient -p /sbin/ldconfig
%endif

%files -n %libQtTelepathyClient
%defattr(-,root,root)
%{_libdir}/libQtTelepathyClient.so.%{libQtTelepathyClient_major}
%{_libdir}/libQtTelepathyClient.so.*

#--------------------------------------------------------------------

%package devel
Requires: %libQtTelepathyClient = %{epoch}:%{version}
Summary: %{name} development files
Group: Development/Other
Provides: libtelepathy-qt-devel = %{version}
Obsoletes: %{_lib}telepathy-qt-devel

%description devel
Telepathy-qt development files.

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

#--------------------------------------------------------------------

%prep
%setup -q  -n %name

%patch0 -p0

%build
%cmake_qt4

%make

%install
rm -fr %buildroot

cd build
%makeinstall_std

%clean
rm -rf %buildroot


%changelog
* Wed Nov 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.17.7-0.856598.3mdv2009.1
+ Revision: 306817
- New snapshot

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 1:0.17.7-0.829316.3mdv2009.0
+ Revision: 233469
- Soname for telepathy lib are borked, then update for tapioca is forbidden and blocking kdenetwork

* Tue Jul 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.17.7-0.829316.2mdv2009.0
+ Revision: 232762
- Fix lib install
- New snapshot ( telepathy-qt is now hosted on kde svn )
  Remove libQtTelepathyCore and libQtTelepathyCommon libraries

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1:0.1.0-0.2031.2mdv2009.0
+ Revision: 217195
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-0.2031.2mdv2008.1
+ Revision: 179642
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 1:0.1.0-0.2031.1mdv2008.0
+ Revision: 57172
- Using required revision 2031
- Changed specfile to match other kde specs
- Put correct development version number. Epoch needed

* Tue Jul 10 2007 Funda Wang <fundawang@mandriva.org> 0.14.1-1mdv2008.0
+ Revision: 50811
- New verison

* Thu Jul 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-7.rev2006.1mdv2008.0
+ Revision: 48563
- New snapshot


* Sun Feb 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-7.rev1407.1mdv2007.0
+ Revision: 125615
- SVN snapshot

* Fri Jan 12 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-6mdv2007.1
+ Revision: 107725
- Rebuild

* Tue Dec 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-5mdv2007.1
+ Revision: 95219
- Fix spec file

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-4mdv2007.1
+ Revision: 95069
- Fix spec file

* Mon Dec 11 2006 Laurent Montel <lmontel@mandriva.com> 0.1.0-3mdv2007.1
+ Revision: 94895
- Add patch to fix build under x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Spec file
    - Fix File list
    - Import telepathy-qt

